Seltsamer Fehler mit Wine

Dieses Thema im Forum "Debian/Ubuntu/Knoppix" wurde erstellt von Hit Em Down, 04.05.2007.

  1. #1 Hit Em Down, 04.05.2007
    Zuletzt bearbeitet: 05.05.2007
    Hit Em Down

    Hit Em Down Foren As

    Dabei seit:
    23.05.2006
    Beiträge:
    79
    Zustimmungen:
    0
    myname:/cdrom# wine install.exe

    wine: creating configuration directory '/root/.wine'...
    err:module:load_builtin_dll failed to load .so lib for builtin L"gdi32.dll": /lib32/libc.so.6: version `GLIBC_2.4' not found (required by /usr/bin/../lib/wine/gdi32.dll.so)
    err:module:import_dll Loading library gdi32.dll (which is needed by L"c:\\windows\\system32\\user32.dll") failed (error c000007a).
    err:module:import_dll Library user32.dll (which is needed by L"c:\\windows\\system32\\rundll32.exe") not found
    err:module:LdrInitializeThunk Main exe initialization for L"c:\\windows\\system32\\rundll32.exe" failed, status c0000135
    wine: wineprefixcreate failed while creating '/root/.wine'.

    myname:/cdrom#

    Wieso gehtn das nicht? Wieso kann ich /root/wine nicht erstellen?
     
  2. Anzeige

    Schau dir mal diese Kategorie an. Dort findest du bestimmt etwas.
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
  3. #2 Athur Dent, 04.05.2007
    Athur Dent

    Athur Dent Handtuchhalter

    Dabei seit:
    08.12.2006
    Beiträge:
    662
    Zustimmungen:
    0
    Ort:
    Hannover
    Welches wine? Woher? Genauer bitte!
    Der Fehler wird übrigens genannt:
     
  4. sinn3r

    sinn3r Law & Order
    Moderator

    Dabei seit:
    28.12.2006
    Beiträge:
    2.764
    Zustimmungen:
    0
    Ort:
    Wentorf
    Desweiteren, warum wine als root?

    Da reichen normale Nutzerrechte.
     
  5. #4 Athur Dent, 04.05.2007
    Athur Dent

    Athur Dent Handtuchhalter

    Dabei seit:
    08.12.2006
    Beiträge:
    662
    Zustimmungen:
    0
    Ort:
    Hannover
    Und diese sollten auch genutzt werden.
     
  6. #5 Hit Em Down, 04.05.2007
    Hit Em Down

    Hit Em Down Foren As

    Dabei seit:
    23.05.2006
    Beiträge:
    79
    Zustimmungen:
    0
    Das ist mir auch klar, dass der Fehler genannt wird.
    Mir wäre eigentlich viel nützlicher, wenn mir jemand sagen könnte wie ich diesen Fehler beheben könnte.

    wine-0.9.36

    Ps: Bitte ausführlicher, bin noch in der Debian-Ausprobier-Phase.
     
  7. #6 Goodspeed, 04.05.2007
    Goodspeed

    Goodspeed Foren Gott
    Moderator

    Dabei seit:
    21.04.2004
    Beiträge:
    4.165
    Zustimmungen:
    1
    Ort:
    Dresden
    Welche Distribution? Wo haste das Paket her?
    0.9.36 gibt es offiziell für Debian noch nicht ...
     
  8. #7 Hit Em Down, 04.05.2007
    Zuletzt bearbeitet: 05.05.2007
    Hit Em Down

    Hit Em Down Foren As

    Dabei seit:
    23.05.2006
    Beiträge:
    79
    Zustimmungen:
    0
    Ubuntu Lenny (Erst kürzlich installiert, neuestes Update)

    Bin nach diesem Schema vorgegangen, da ich ein 64-Bit System habe.

    http://wiki.winehq.org/UbuntuAMD64
     
  9. #8 Goodspeed, 04.05.2007
    Goodspeed

    Goodspeed Foren Gott
    Moderator

    Dabei seit:
    21.04.2004
    Beiträge:
    4.165
    Zustimmungen:
    1
    Ort:
    Dresden
    Haste das amd64-Paket installiert oder auf Krampf die i386-Version?
     
  10. #9 Hit Em Down, 04.05.2007
    Zuletzt bearbeitet: 05.05.2007
    Hit Em Down

    Hit Em Down Foren As

    Dabei seit:
    23.05.2006
    Beiträge:
    79
    Zustimmungen:
    0
    Was für ein 64-bit-Paket, wenn es doch keins gitb?! :think:

    Die Installation habe ich genauso durchgeführt wie auf dieser page:
    http://wiki.winehq.org/UbuntuAMD64

    Doch trotzdem kann ich mit Hilfe von wine keine .exe Dateien starten.

    Edit: Vielleicht hilft dies weiter:

    myname:/home/myname/Desktop# sudo dpkg --force-architecture -i wine_0.9.36~winehq0~ubuntu~7.04-1_i386.deb
    dpkg - Warnung: Problem wird übergangen, weil --force angegeben ist:
    Paket-Architektur (i386) passt nicht zum System (amd64)
    (Lese Datenbank ... 80313 Dateien und Verzeichnisse sind derzeit installiert.)
    Vorbereiten zum Ersetzen von wine 0.9.36~winehq0~ubuntu~7.04-1 (durch wine_0.9.36~winehq0~ubuntu~7.04-1_i386.deb) ...
    Entpacke Ersatz für wine ...
    dpkg: Abhängigkeitsprobleme verhindern Konfiguration von wine:
    wine hängt ab von libc6 (>= 2.5-0ubuntu1); aber:
    Version von libc6 auf dem System ist 2.3.6.ds1-13.
    wine hängt ab von libgcc1 (>= 1:4.1.2); aber:
    Version von libgcc1 auf dem System ist 1:4.1.1-21.
    wine hängt ab von libstdc++6 (>= 4.1.2); aber:
    Version von libstdc++6 auf dem System ist 4.1.1-21.
    dpkg: Fehler beim Bearbeiten von wine (--install):
    Abhängigkeitsprobleme - lasse es unkonfiguriert
    Fehler traten auf beim Bearbeiten von:
    wine
     
  11. #10 Goodspeed, 04.05.2007
    Zuletzt bearbeitet: 04.05.2007
    Goodspeed

    Goodspeed Foren Gott
    Moderator

    Dabei seit:
    21.04.2004
    Beiträge:
    4.165
    Zustimmungen:
    1
    Ort:
    Dresden
    Also entsprechend der Ausgabe haste weder Ubuntu nach Feisty ... das riecht mir alles mehr nach Debian Etch ...

    Und nur so nebenbei ... doch, für Feisty gibt es extra amd64-Pakete ... ohne diesen force-Hack. (siehe wine-wiki!)
     
  12. #11 Hit Em Down, 04.05.2007
    Zuletzt bearbeitet: 05.05.2007
    Hit Em Down

    Hit Em Down Foren As

    Dabei seit:
    23.05.2006
    Beiträge:
    79
    Zustimmungen:
    0
    Großes, "Entschuldigung" ^^
    habe natürlich Debian Lenny :brav:

    myname:/home/myname# apt-get install wine
    Paketlisten werden gelesen... Fertig
    Abhängigkeitsbaum wird aufgebaut... Fertig
    Einige Pakete konnten nicht installiert werden. Das kann bedeuten, dass
    Sie eine unmögliche Situation angefordert haben oder dass, wenn Sie die
    Unstable-Distribution verwenden, einige erforderliche Pakete noch nicht
    kreiert oder aus Incoming herausbewegt wurden.

    Da Sie nur eine einzige Operation angefordert haben, ist es sehr wahrscheinlich,dass das Paket einfach nicht installierbar ist und eine Fehlermeldung über
    dieses Paket erfolgen sollte.
    Die folgenden Informationen helfen Ihnen vielleicht, die Situation zu lösen:

    Die folgenden Pakete haben nichterfüllte Abhängigkeiten:
    wine: Hängt ab: libc6-i386 (>= 2.5-0ubuntu1) aber 2.3.6.ds1-13 soll installiert werden
    E: Kaputte Pakete
     
  13. #12 Goodspeed, 04.05.2007
    Goodspeed

    Goodspeed Foren Gott
    Moderator

    Dabei seit:
    21.04.2004
    Beiträge:
    4.165
    Zustimmungen:
    1
    Ort:
    Dresden
    Dann solltest Du aber auch nicht versuchen, irgendwelche Ubuntu-Pakete zu installieren ...

    Versuch mal das Etch-Paket von der Wine-Seite ... damit sollte es funktionieren ... vorerst ...
     
  14. #13 Hit Em Down, 04.05.2007
    Zuletzt bearbeitet: 05.05.2007
    Hit Em Down

    Hit Em Down Foren As

    Dabei seit:
    23.05.2006
    Beiträge:
    79
    Zustimmungen:
    0

    myname:/cdrom# sudo wget http://wine.budgetdedicated.com/apt/sources.list.d/etch.list -O /etc/apt/sources.list.d/winehq.list
    --22:15:39-- http://wine.budgetdedicated.com/apt/sources.list.d/etch.list
    => `/etc/apt/sources.list.d/winehq.list'
    Auflösen des Hostnamen »wine.budgetdedicated.com«.... 81.171.111.184
    Verbindungsaufbau zu wine.budgetdedicated.com|81.171.111.184|:80... verbunden.
    HTTP Anforderung gesendet, warte auf Antwort... 200 OK
    Länge: 134 [text/plain]

    100%[====================================>] 134 --.--K/s

    22:15:40 (25.56 MB/s) - »/etc/apt/sources.list.d/winehq.list« gespeichert [134/134]

    myname:/cdrom# sudo apt-get install wine
    Paketlisten werden gelesen... Fertig
    Abhängigkeitsbaum wird aufgebaut... Fertig
    Paket wine ist nicht verfügbar, wird aber von einem anderen
    Paket referenziert. Das kann heißen, dass das Paket fehlt, dass es veraltet
    ist oder nur aus einer anderen Quelle verfügbar ist.
    W: Kann nicht auf die Liste http://wine.budgetdedicated.com etch/main Packages (/var/lib/apt/lists/wine.budgetdedicated.com_apt_dists_etch_main_binary-amd64_Packages) der Quellpakete zugreifen. - stat (2 Datei oder Verzeichnis nicht gefunden)
    W: Probieren Sie „apt-get update“, um diese Probleme zu korrigieren.
    E: Paket wine hat keinen Installationskandidaten

    EDIT:

    Wenn ich Synaptic starte kommt folgende Fehlermeldung:


    W: Kann nicht auf die Liste http://wine.budgetdedicated.com etch/main Packages (/var/lib/apt/lists/wine.budgetdedicated.com_apt_dists_etch_main_binary-amd64_Packages) der Quellpakete zugreifen. - stat (2 Datei oder Verzeichnis nicht gefunden)
     
  15. Anzeige

    Vielleicht findest du HIER Antworten.
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
  16. #14 Goodspeed, 04.05.2007
    Goodspeed

    Goodspeed Foren Gott
    Moderator

    Dabei seit:
    21.04.2004
    Beiträge:
    4.165
    Zustimmungen:
    1
    Ort:
    Dresden
  17. #15 Hit Em Down, 05.05.2007
    Zuletzt bearbeitet: 05.05.2007
    Hit Em Down

    Hit Em Down Foren As

    Dabei seit:
    23.05.2006
    Beiträge:
    79
    Zustimmungen:
    0
    Wie installiere ich dieses Paket?


    /Desktop# apt-get install wine_0.9.36~winehq0~ubuntu~7.04-1_i386.deb
    Paketlisten werden gelesen... Fertig
    Abhängigkeitsbaum wird aufgebaut... Fertig
    W: Kann nicht auf die Liste http://wine.budgetdedicated.com etch/main Packages (/var/lib/apt/lists/wine.budgetdedicated.com_apt_dists_etch_main_binary-amd64_Packages) der Quellpakete zugreifen. - stat (2 Datei oder Verzeichnis nicht gefunden)
    W: Probieren Sie „apt-get update“, um diese Probleme zu korrigieren.
    E: Konnte Paket wine_0.9.36~winehq0~ubuntu~7.04-1_i386.deb nicht finden

    Mit GDebi funktioniert es auch nicht, weil falsche Architektur (i386), trotz 64-Bit (mein System) müsste es doch auch funken?
     
Thema:

Seltsamer Fehler mit Wine

Die Seite wird geladen...

Seltsamer Fehler mit Wine - Ähnliche Themen

  1. Seltsamer Fuchs

    Seltsamer Fuchs: Guten Morgen! Ich hatte hier eben ein seltsames Phänomen mit meinem Firefox und würde gerne wissen, ob das was zu bedeuten hat. Nachdem ich...
  2. RAID 1 abgeraucht und seltsamer Datenverlust

    RAID 1 abgeraucht und seltsamer Datenverlust: Moin moin, mal wieder ein hübsches Problem, bei dem ich nicht weiter weiß: Wir haben ein auf Debian (fragt mich jetzt nicht, welches, ich...
  3. Seltsamer Effekt nach Tausch von ATI auf nVidia

    Seltsamer Effekt nach Tausch von ATI auf nVidia: Ich habe aus meinem Rechner die ATI x300 rausgeworfen und dafür ´ne Gforece 6600 eingebaut. Die Installation des Treibers (unter SuSE 10.1, Gnome)...
  4. Terminal Fehlermeldung

    Terminal Fehlermeldung: Hola, mir ist aufgefallen das ständig ein Fehler erscheint sobald ich einen Terminal öffne. Hat zwar keine Auswirkung auf die Arbeit damit sieht...
  5. LibreOffice 5.1.1 korrigiert Fehler

    LibreOffice 5.1.1 korrigiert Fehler: Das LibreOffice-Projekt hat die Verfügbarkeit der Version 5.1.1 der freien Office-Suite bekannt gegeben. In diesem planmäßigen Update werden...